<?xml version="1.0" encoding="UTF-8"?>
<!-- sh, 28.03.08, entwickelt aus new-online-jcms.xslt -->
<!-- sh, 24.11.09, xsl:template name="footnote" -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="table_nef.xsl"/>
	<!--<xsl:include href="module-CALStable/html.xsl"/>-->
	<xsl:include href="module-lists/html.xsl"/>
	<xsl:include href="module-media/html/mm.xsl"/>
	<xsl:include href="nef_rev_2html.xsl"/>
	<xsl:include href="nef_article_2html.xsl"/>
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="no"/>
	<xsl:param name="service"/>
	<xsl:param name="infile"/>
	<xsl:param name="include"/>
	<xsl:param name="format"/>
	<xsl:variable name="headnummer">
		<xsl:number level="multiple" count="chapter" format="1.1"/>
	</xsl:variable>
	<xsl:variable name="linknummer" select="count(//head1|//lithead)"/>
	<xsl:variable name="first_footnote_label" select="count(//footnote/@label)"/>
	<xsl:variable name="path-css">../../../style/nef.css</xsl:variable>
	<xsl:variable name="path-jpg">../../../style/titelseite.jpg</xsl:variable>
	<xsl:strip-space elements="*"/>
	<xsl:template name="refdownload">
		<head>
			<title>cms-Journal | Artikel | <xsl:value-of select="front/title"/> | edoc-Server  Humboldt-Universität zu Berlin</title>
			<link rel="stylesheet" href="http://edoc.hu-berlin.de/cmsj/28/herbst-roland-31/HTML/cmsj.css" type="text/css"/>
		</head>
		<body>
			<div id="jbody">
				<div class="metadata">
					<xsl:attribute name="style">background-repeat: no-repeat; background-image: url(http://edoc.hu-berlin.de/cmsj/<xsl:value-of select="substring(front/metadata/number,5)"/>/material/JPG/<xsl:value-of select="substring(front/metadata/number,5)"/>.jpg)</xsl:attribute>
					<div class="journal">
						<xsl:value-of select="front/metadata/worktype"/>
					</div>
					<div class="number">Nr.&#160;<xsl:value-of select="substring(front/metadata/number,5)"/>
					</div>
					<div class="month-and-year">
						<xsl:value-of select="front/metadata/pubdate"/>
					</div>
				</div>
				<div class="service">
					<dl class="leftliste">
						<dt class="service">Hinweise</dt>
						<!--<dd>Weitere Artikel aus dem cms-Journal Nr.&#160;<xsl:value-of select="substring(front/metadata/number,5)"/> finden Sie auf dem edoc-Server der Humboldt-Universität zu Berlin unter <a>
								<xsl:attribute name="href">http://edoc.hu-berlin.de/cmsj/<xsl:value-of select="substring(front/metadata/number,5)"/></xsl:attribute>http://edoc.hu-berlin.de/cmsj/<xsl:value-of select="substring(front/metadata/number,5)"/>
							</a>
						</dd>-->
						<dt class="service">Copyright</dt>
						<dd>
Dieser Artikel ist ein Open Access Artikel und steht unter der Creative Commons Lizenz BY
<a href="http://creativecommons.org/licenses/by/2.0/" rel="copyright">(siehe...)</a>.
</dd>
					</dl>
				</div>
				<div class="chapter">
					<h1>Metadaten download für:</h1>
					<div class="title">
						<h1 class="articletitle">
							<xsl:apply-templates select="front/title"/>
						</h1>
						<xsl:if test="front/subtitle">
							<h2 class="articlesubtitle">
								<xsl:apply-templates select="front/subtitle"/>
								<br/>
							</h2>
						</xsl:if>
						<xsl:for-each select="//author">
							<div class="author">
								<xsl:apply-templates select="."/>
								<br/>
								<xsl:variable name="email">mailto:<xsl:value-of select="following::email"/>
								</xsl:variable>
								<a href="{$email}">
									<xsl:value-of select="following::email"/>
								</a>
							</div>
						</xsl:for-each>
					</div>
					<div class="chapter">
						<form action="ref{$infile}?service" method="get">
							<h1 class="form">Optionen</h1>
							<input type="radio" name="include" value="cit" checked="checked"/>Zitation für diesen Artikel<br/>
							<input type="radio" name="include" value="ref"/>Literaturverweise, die in diesem Artikel zitiert wurden<br/>
							<input type="radio" name="include" value="all"/>Beides, Zitation des Artikels und Literaturverweise<br/>
							<h1 class="form">Formate</h1>
							<input type="radio" name="format" value="endnote" checked="checked"/>für EndNote ab Version 3<br/>
							<input type="radio" name="format" value="refman"/>für Reference Manager ab Version 7<br/>
							<input type="radio" name="format" value="bibtex"/>für Bibtex<br/>
							<br/>
							<input type="submit" value="Download"/>
						</form>
					</div>
				</div>
			</div>
			<div class="back-nef"/>
		</body>
	</xsl:template>
	<xsl:template name="citation">
		<citation>
			<xsl:choose>
				<xsl:when test="$include='cit'">
					<xsl:call-template name="cit"/>
				</xsl:when>
				<xsl:when test="$include='ref'">
					<xsl:call-template name="ref"/>
				</xsl:when>
			</xsl:choose>
		</citation>
	</xsl:template>
	<xsl:template name="cit">
		<ref>
			<xsl:for-each select="//author">
				<citauthor>
					<xsl:value-of select="."/>
				</citauthor>
			</xsl:for-each>
			<month-and-year>
				<xsl:value-of select="front/metadata/pubdate"/>
			</month-and-year>
			<worktype>
				<xsl:value-of select="front/metadata/worktype"/>
			</worktype>
			<number>Nr.&#160;<xsl:value-of select="substring(front/metadata/number,5)"/>
			</number>
			<articletitle>
				<xsl:apply-templates select="front/title"/>
			</articletitle>
			<xsl:if test="front/subtitle">
				<subtitle>
					<xsl:apply-templates select="front/subtitle"/>
				</subtitle>
			</xsl:if>
		</ref>
	</xsl:template>
	<xsl:template name="ref">
		<xsl:apply-templates select="back/bibliography/reference/ref" mode="reference"/>
	</xsl:template>
	<xsl:template name="all">
		<xsl:call-template name="cit"/>
		<xsl:call-template name="ref"/>
	</xsl:template>
	<xsl:template match="ref">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="chapter">
		<xsl:variable name="h" select="head"/>
		<xsl:choose>
			<xsl:when test="string-length($h) = 0 or $h = ' '"/>
			<xsl:otherwise>
				<h3 class="chaptertitle_nef">
					<xsl:apply-templates select="head"/>
				</h3>
			</xsl:otherwise>
		</xsl:choose>
		<p class="rabstract">
			<xsl:apply-templates select="*[name() != 'head']"/>
		</p>
	</xsl:template>
	<xsl:template match="head1">
		<h1>
			<a>
				<xsl:attribute name="name">link<xsl:number level="multiple" count="chapter|section|subsection" format="1"/></xsl:attribute>
			</a>
			<br/>
			<xsl:apply-templates/>
		</h1>
	</xsl:template>
	<xsl:template match="head2">
		<h2 class="rhead2">
			<xsl:apply-templates/>
		</h2>
	</xsl:template>
	<xsl:template match="head3">
		<h3 class="rhead3">
			<xsl:apply-templates/>
		</h3>
	</xsl:template>
	<xsl:template match="head">
		<a>
			<xsl:attribute name="name">link<xsl:number count="head" level="any"/></xsl:attribute>
		</a>
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="//entry/p">
		<div class="tbtext">
			<xsl:apply-templates/>
		</div>
	</xsl:template>
	<xsl:template match="p">
		<xsl:choose>
			<xsl:when test="parent::footnote">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:otherwise>
				<p class="rtext">
					<xsl:apply-templates/>
				</p>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="pre">
		<tt>
			<xsl:apply-templates/>
		</tt>
	</xsl:template>
	<xsl:template match="blockquote/bp">
		<p class="rzitat">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="example">
		<div class="example">
			<xsl:apply-templates select="ep|expre"/>
		</div>
		<p class="caption">
			<xsl:apply-templates select="exlegend"/>
		</p>
	</xsl:template>
	<xsl:template match="ep">
		<p class="rexp">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="expre">
		<p class="rexpre">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match=" tblegend">
		<p class="caption">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template name="image2">
		<xsl:param name="f"/>
		<img>
			<xsl:attribute name="src"><xsl:value-of select="$f"/></xsl:attribute>
			<xsl:attribute name="alt">image</xsl:attribute>
		</img>
	</xsl:template>
	<xsl:template match="math">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="math">
		<xsl:apply-templates/>
	</xsl:template>
	<!-- Listen, verschachtelt -->
	<!--<xsl:template match="ol | ol2 | ol3">
		<div class="rlistol">
			<ol>
				<xsl:apply-templates select="*"/>
			</ol>
		</div>
	</xsl:template>-->
	<xsl:template match="oli1 | oli2 | oli3">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<!--<xsl:template match="ul | ul2 | ul3">
		<div class="ul">
			<ul class="rlistul">
				<xsl:apply-templates select="*"/>
			</ul>
		</div>
	</xsl:template>-->
	<!--<xsl:template match="ul">
		<ul class="ul_nef">
			<xsl:apply-templates select="*"/>
		</ul>
	</xsl:template>
	<xsl:template match="li">
<li><xsl:apply-templates select="p/*"/></li>	
	</xsl:template>-->
	<xsl:template match="uli1 | uli2 | uli3">
		<li>
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<xsl:template match="*[name()='oli1' or name()='oli2' or name()='oli3']/text()[position()=1]">
		<xsl:value-of select="substring-after(.,'. ')"/>
	</xsl:template>
	<xsl:template match="*[name()='uli1' or name()='uli2' or name()='uli3']/text()[position()=1]">
		<xsl:value-of select="substring(.,3)"/>
	</xsl:template>
	<!-- Zeichenformatierungen -->
	<xsl:template match="br">
		<br/>
	</xsl:template>
	<xsl:template match="em">
		<i>
			<xsl:apply-templates/>
		</i>
	</xsl:template>
	<xsl:template match="strong">
		<b>
			<xsl:apply-templates/>
		</b>
	</xsl:template>
	<xsl:template match="emstr">
		<i>
			<b>
				<xsl:apply-templates/>
			</b>
		</i>
	</xsl:template>
	<xsl:template match="sub">
		<sub>
			<xsl:apply-templates/>
		</sub>
	</xsl:template>
	<xsl:template match="sup">
		<sup>
			<xsl:apply-templates/>
		</sup>
	</xsl:template>
	<xsl:template match="tt">
		<tt>
			<xsl:apply-templates/>
		</tt>
	</xsl:template>
	<xsl:template match="endchar">
		<xsl:variable name="endchar">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a href="#anm{$endchar}" name="anm{$endchar}o">
			<sup>
				<xsl:apply-templates/>
			</sup>
		</a>
	</xsl:template>
	<xsl:template match="refchar">
		<xsl:variable name="refchar">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a href="#lit{$refchar}" name="lit{$refchar}o">
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<xsl:template match="no">
		<span class="refchar">
			<xsl:apply-templates/>
		</span>
	</xsl:template>
	<xsl:template match="url">
		<xsl:variable name="url">
			<xsl:apply-templates/>
		</xsl:variable>
		<a target="_blank" href="{$url}">
			<xsl:apply-templates/>
		</a>
	</xsl:template>
	<!-- Bibliographie -->
	<xsl:template match="bibliography">
		<h1 class="Bhead1">
			<a>
				<xsl:attribute name="name">link<xsl:value-of select="$linknummer"/></xsl:attribute>
			</a>
			<xsl:value-of select="lithead"/>
		</h1>
		<xsl:for-each select="reference">
			<div class="item">
				<xsl:variable name="ref">
					<xsl:value-of select="refchar"/>
				</xsl:variable>
				<span id="refchar">
					<a class="anm" href="#lit{$ref}o" name="lit{$ref}">
						<xsl:value-of select="refchar"/>
					</a>
				</span>
				<span id="ref">
					<xsl:apply-templates select="ref"/>
				</span>
			</div>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="ref" mode="reference">
		<ref>
			<xsl:if test="citauthor">
				<author>
					<xsl:value-of select="citauthor"/>
				</author>
			</xsl:if>
			<xsl:if test="cittitle">
				<cittitle>
					<xsl:value-of select="cittitle"/>
				</cittitle>
			</xsl:if>
			<xsl:if test="artikel">
				<articletitle>
					<xsl:value-of select="artikel"/>
				</articletitle>
			</xsl:if>
			<xsl:if test="citurl">
				<citurl>
					<xsl:value-of select="citurl"/>
				</citurl>
			</xsl:if>
			<xsl:if test="number">
				<number>
					<xsl:value-of select="number"/>
				</number>
			</xsl:if>
		</ref>
	</xsl:template>
	<xsl:template match="ref">
		<span class="rbib">
			<xsl:apply-templates/>
		</span>
	</xsl:template>
	<xsl:template match="citauthor">
		<span class="rbibaut">
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="cittitle">
		<span class="rbibtit">
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="citurl">
		<xsl:variable name="citurl">
			<xsl:value-of select="."/>
		</xsl:variable>
		<a target="_blank" href="{$citurl}">
			<xsl:value-of select="."/>
		</a>
	</xsl:template>
	<xsl:template match="endnote">
		<h1 class="Bhead1">
			<a>
				<xsl:attribute name="name">link<xsl:value-of select="$linknummer"/></xsl:attribute>
			</a>	
			Anmerkungen
			</h1>
		<xsl:for-each select="endchar">
			<div class="item">
				<xsl:variable name="end" select="."/>
				<span id="refchar">
					<a class="anm" href="#anm{$end}o" name="anm{$end}">
						<xsl:value-of select="."/>
					</a>
				</span>
				<span id="ref">
					<xsl:apply-templates select="following::fp[position()=1]"/>
				</span>
			</div>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="note/np">
		<p class="rnote">
			<xsl:apply-templates/>
		</p>
	</xsl:template>
	<xsl:template match="title">
		<em>
			<xsl:apply-templates/>
		</em>
	</xsl:template>
	<xsl:template match="freehead">
		<h2>
			<xsl:apply-templates/>
		</h2>
	</xsl:template>
	<xsl:template match="footnote">
		<xsl:variable name="name" select="concat('a',@start)"/>
		<xsl:variable name="name_link" select="concat($name,'link')"/>
		<xsl:variable name="href" select="concat('#',$name)"/>
		<a>
			<xsl:attribute name="name"><xsl:value-of select="$name_link"/></xsl:attribute>
			<a>
				<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
				<sup>
					<xsl:call-template name="footnote"/>
				</sup>
			</a>
		</a>
	</xsl:template>
	<xsl:template match="footnote" mode="endbody">
		<xsl:variable name="name" select="concat('a',@start)"/>
		<xsl:variable name="href" select="concat('#',$name,'link')"/>
		<a>
			<xsl:attribute name="name">footnote</xsl:attribute>
		</a>
		<p>
			<a>
				<xsl:attribute name="name"><xsl:value-of select="$name"/></xsl:attribute>
				<a>
					<xsl:attribute name="href"><xsl:value-of select="$href"/></xsl:attribute>
					<xsl:call-template name="footnote"/>
				</a>
			</a>
			<xsl:apply-templates select="p/* | p/text()"/>
		</p>
	</xsl:template>
	<xsl:template name="footnote">
		<xsl:choose>
			<xsl:when test="$first_footnote_label &gt; 0">
				<xsl:choose>
					<xsl:when test="@start = 1">
						<xsl:value-of select="@label"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="number" select="@start - 1"/>
						<xsl:value-of select="$number"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="@start "/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="citation" mode="nef">
		<h1 class="articletitle-rev">
			<xsl:apply-templates/>
		</h1>
	</xsl:template>
	<xsl:template match="* | text()" mode="inline">
		<xsl:choose>
			<xsl:when test="citation">
				<xsl:apply-templates select="citation/p/* | citation/p/text()"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="author">
		<div class="author_nef">
			<xsl:apply-templates select="given"/>
			<xsl:value-of select="' ' "/>
			<xsl:apply-templates select="surname"/>
			<xsl:apply-templates select="text()"/>
		</div>
	</xsl:template>
	<xsl:template match="table">
		<div class="caption_nef">
			<xsl:apply-templates select="caption"/>
		</div>
		<xsl:apply-templates select="tgroup"/>
		<xsl:apply-templates select="legend"/>
	</xsl:template>
	<xsl:template match="worktitle">
		<em>
			<xsl:apply-templates/>
		</em>
	</xsl:template>
</xsl:stylesheet>
